{% extends "product/input_form.html.twig" %}

{% block html %}

    <h2>Заключение о целесообразности предоставления
        <br>кредитного продукта до 500 000 р.</h2>

    <div class="row expanded collapse">
        <div class="large-8 columns end">
            <table>
                <thead>
                    <tr>
                        <th width="25%">Дата заявки</th>
                        <th width="25%">Наименование ДО:</th>
                        <th width="25%">Специалист:</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><input type="text" ng-model="self.initial.date" placeholder="дд.мм.гггг"/></td>
                        <td>
                            <select ng-model="self.initial.office" ng-options="key as value for (key , value) in self.initial.offices"></select>
                        </td>
                        <td><input type="text" ng-model="self.initial.inspectorName"/></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="row expanded collapse">
        <div class="large-8 columns end">
            <table>
                <thead>
                    <tr>
                        <th width="75%">Заемщик:</th>
                        <th width="25%">ID клиента в АБС</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><input type="text" ng-model="self.initial.clientName"/></td>
                        <td><input type="text" ng-model="self.initial.absId"/></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <h4>1. Данные о кредите</h4>
    <h5>1.1 Условия предоставления кредита:</h5>
    <div class="row expanded collapse">
        <div class="large-8 columns end">
            <table>
                <thead>
                    <tr>
                        <th></th>
                        <th>Запрошено</th>
                        <th>Предложено</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Вид кредитного продукта</td>
                        <td>
                            <select ng-model="self.initial.productAsked" ng-options="key as value for (key , value) in self.dict.products"></select>
                        </td>
                        <td>
                            <select ng-model="self.initial.productOffered" ng-options="key as value for (key , value) in self.dict.products"></select>
                        </td>
                    </tr>
                    <tr>
                        <td>Cумма / Лимит</td>
                        <td><input type="text" ng-model="self.initial.limitAsked"/></td>
                        <td><input type="text" ng-model="self.initial.limitOffered"/></td>
                    </tr>
                    <tr>
                        <td>Срок кредитования, мес</td>
                        <td><input type="text" ng-model="self.initial.periodAsked"/></td>
                        <td><input type="text" ng-model="self.initial.periodOffered"/></td>
                    </tr>
                    <tr>
                        <td>Процентная ставка (годовых)</td>
                        <td><input type="text" ng-model="self.initial.persentAsked"/></td>
                        <td><input type="text" ng-model="self.initial.persentOffered"/></td>
                    </tr>
                    <tr>
                        <td>Комиссия за предоставление кредита %</td>
                        <td><input type="text" ng-model="self.initial.commissionAsked"/></td>
                        <td><input type="text" ng-model="self.initial.commissionOffered"/></td>
                    </tr>
                    <tr>
                        <td>Порядок возврата кредитного продукта</td>
                        <td>
                            <select ng-model="self.initial.creditPaymentAsked" ng-options="key as value for (key , value) in self.dict.creditPaymentType"></select>
                        </td>
                        <td>
                            <select ng-model="self.initial.creditPaymentOffered" ng-options="key as value for (key , value) in self.dict.creditPaymentType"></select>
                        </td>
                    </tr>
                    <tr>
                        <td>Цель кредитования</td>
                        <td colspan="2"><input type="text" ng-model="self.initial.purposeOfLending"/></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <h4>2. Данные о клиенте</h4>
    <h5>2.1 Описание бизнеса Клиента:</h5>

    <div class="row expanded collapse">
        <div class="large-8 columns end">
            <table>
                <tbody>
                    <tr>
                        <td width="40%">Дата посещения меставедения бизнеса</td>
                        <td><input type="text" ng-model="self.initial.visitDate" class="mask_date"/></td>
                    </tr>
                </tbody>
            </table>
            <table>
                <thead>
                    <tr>
                        <th width="40%">Критерии</th>
                        <th>Описание</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Вид деятельности:</td>
                        <td>
                            <select ng-model="self.initial.clientActivity" ng-options="key as value for (key , value) in self.dict.clientActivity"></select>
                        </td>
                    </tr>
                    <tr>
                        <td>Связанные компании/лица:</td>
                        <td>
                            <textarea rows="2" ng-model="self.initial.affiliatedCompany"></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td>Адреса (юридический, фактический)</td>
                        <td>
                            <textarea rows="2" ng-model="self.initial.addressRegistrationReal"></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td>Указывается описание бизнеса, история создания, схема бизнеса и пр.</td>
                        <td>
                            <textarea rows="2" ng-model="self.initial.companyDescription"></textarea>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <h5>2.2 Кредитная история Заемщик и связанных лиц, компаний:</h5>

    <div class="row expanded collapse">
        <div class="large-8 columns end">
            <table>
                <thead>
                    <tr>
                        <th rowspan="2" width="15%">Наименование компании</th>
                        <th rowspan="2" width="15%">Наименование Банка</th>
                        <th rowspan="2" width="10%">%</th>
                        <th rowspan="2" width="10%">Сумма кредита</th>
                        <th rowspan="2" width="10%">Дата выдачи</th>
                        <th colspan="2">Дата погашения</th>
                        <th rowspan="2" width="10%">Взнос по кредиту</th>
                        <th rowspan="2" width="10%">Сальдо кредита</th>
                    </tr>
                    <tr>
                        <th width="10%">План</th>
                        <th width="10%">Факт</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="next in self.initial.creditHistoryList">
                        <td><input type="text" ng-model="next.company"/></td>
                        <td><input type="text" ng-model="next.bank"/></td>
                        <td><input type="text" ng-model="next.rate"/></td>
                        <td><input type="text" ng-model="next.amount"/></td>
                        <td><input type="text" ng-model="next.dateOfIssue"/></td>
                        <td><input type="text" ng-model="next.dateOfRepaymentPlan"/></td>
                        <td><input type="text" ng-model="next.dateOfRepaymentFact"/></td>
                        <td><input type="text" ng-model="next.payment"/></td>
                        <td><input type="text" ng-model="next.balance"/></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="row expanded collapse">
        <div class="large-8 columns end">
            <table>
                <tbody>
                    <tr>
                        <td width="40%">Платежная дисциплина за последние 180 дн.:</td>
                        <td>
                            <textarea rows="2" ng-model="self.initial.paymentIssues"></textarea>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <h4>3. Финансовые данные</h4>
    <h5>3.1 Баланс</h5>
    <div class="row expanded collapse">
        <div class="large-6 columns end">
            <table>
                <thead>
                    <tr>
                        <th rowspan="2" width="33%">Актив</th>
                        <th width="33%">Дата</th>
                    </tr>
                    <tr>
                        <td><input type="text" ng-model="self.initial.companyAssetsDate" class="mask_date"/></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Касса</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.cash"/></td>
                    </tr>
                    <tr>
                        <td>Банковский счет</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.bankAccount"/></td>
                    </tr>
                    <tr>
                        <td>Финансовые вложения (сбережения)</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.deposits"/></td>
                    </tr>
                    <tr>
                        <td>Прочие денежные средства</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.other"/></td>
                    </tr>
                    <tr>
                        <td>Счета к получению</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.receivableAccounts"/></td>
                    </tr>
                    <tr>
                        <td>Авансы выданные</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.prepaid"/></td>
                    </tr>
                    <tr>
                        <td>Прочие дебиторы</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.loans"/></td>
                    </tr>
                    <tr>
                        <td>Сырье и полуфабрикаты</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.materials"/></td>
                    </tr>
                    <tr>
                        <td>Готовая продукция</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.products"/></td>
                    </tr>
                    <tr>
                        <td>Товары</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.goods"/></td>
                    </tr>
                    <tr>
                        <td>Товары отгруженные (реализация)</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.goodsShipped"/></td>
                    </tr>
                    <tr>
                        <td>Оборудование</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.equipment"/></td>
                    </tr>
                    <tr>
                        <td>Недвижимость</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.realEstate"/></td>
                    </tr>
                    <tr>
                        <td>Прочее</td>
                        <td><input type="text" ng-model="self.initial.companyAssets.vehicles"/></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="row expanded collapse">
        <div class="large-6 columns end">
            <table>
                <thead>
                    <tr>
                        <th rowspan="2" width="33%">Пассив</th>
                        <th width="33%">Дата</th>
                    </tr>
                    <tr>
                        <td><input type="text" ng-model="self.initial.companyLiabilitiesDate" class="mask_date"/></td>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Расчеты с бюджетом</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.budget"/></td>
                    </tr>
                    <tr>
                        <td>Задолженность по заработной плате</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.wage"/></td>
                    </tr>
                    <tr>
                        <td>Прочие краткоср. Пассивы</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.rent"/></td>
                    </tr>
                    <tr>
                        <td>Счета к оплате</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.payableAccounts"/></td>
                    </tr>
                    <tr>
                        <td>Авансы полученные</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.advances"/></td>
                    </tr>

                    <tr>
                        <td>Итого займы</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.borrowingsTotal"/></td>
                    </tr>
                    <tr>
                        <td>Итого банковские кредиты</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.creditTotal"/></td>
                    </tr>
                    <tr>
                        <td>Долгосрочные займы</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.borrowingsLong"/></td>
                    </tr>
                    <tr>
                        <td>Долгосрочные кредиты</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.creditsLong"/></td>
                    </tr>
                    <tr>
                        <td>Прочие пассивы</td>
                        <td><input type="text" ng-model="self.initial.companyLiabilities.other"/></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <h5>3.2. ОПиУ</h5>

    <div class="row expanded collapse">
        <div class="large-6 columns end">
            <table>
                <thead>
                    <tr>
                        <th width="50%">Выручка</th>
                        <th>Наценка %</th>
                        <th>Среднее значение в месяц</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><input type="text" ng-model="self.initial.opiu.name1"/></td>
                        <td><input type="text" ng-model="self.initial.opiu.incomeExtra1"/></td>
                        <td><input type="text" ng-model="self.initial.opiu.averageMonth1"/></td>
                    </tr>
                    <tr>
                        <td><input type="text" ng-model="self.initial.opiu.name2"/></td>
                        <td><input type="text" ng-model="self.initial.opiu.incomeExtra2"/></td>
                        <td><input type="text" ng-model="self.initial.opiu.averageMonth2"/></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="row expanded collapse">
        <div class="large-6 columns end">
            <table>
                <thead>
                    <tr>
                        <th colspan="2">Комментарии к ОПиУ</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td width="50%">Налоги, в т.ч. налог на прибыль</td>
                        <td><input type="text" ng-model="self.initial.opiu.taxes"/></td>
                    </tr>
                    <tr>
                        <td>Выплаты процентов по кредитам, займам (%)</td>
                        <td><input type="text" ng-model="self.initial.opiu.credits"/></td>
                    </tr>
                    <tr>
                        <td>Аренда и коммунальные платежи</td>
                        <td><input type="text" ng-model="self.initial.opiu.rent"/></td>
                    </tr>
                    <tr>
                        <td>Зарплата с начислениями</td>
                        <td><input type="text" ng-model="self.initial.opiu.wage"/></td>
                    </tr>
                    <tr>
                        <td>Транспортные расходы</td>
                        <td><input type="text" ng-model="self.initial.opiu.transport"/></td>
                    </tr>
                    <tr>
                        <td>Охрана</td>
                        <td><input type="text" ng-model="self.initial.opiu.security"/></td>
                    </tr>
                    <tr>
                        <td>Реклама и маркетинг</td>
                        <td><input type="text" ng-model="self.initial.opiu.marketing"/></td>
                    </tr>
                    <tr>
                        <td>Услуги Банка</td>
                        <td><input type="text" ng-model="self.initial.opiu.banking"/></td>
                    </tr>
                    <tr>
                        <td>Административные и хозяйственные</td>
                        <td><input type="text" ng-model="self.initial.opiu.household"/></td>
                    </tr>
                    <tr>
                        <td>Представительские, командировочные</td>
                        <td><input type="text" ng-model="self.initial.opiu.company"/></td>
                    </tr>
                    <tr>
                        <td>Прочие</td>
                        <td><input type="text" ng-model="self.initial.opiu.other"/></td>
                    </tr>
                    <tr>
                        <td>Прочие доходы</td>
                        <td><input type="text" ng-model="self.initial.opiu.otherIncome"/></td>
                    </tr>
                    <tr>
                        <td>Прочие расходы</td>
                        <td><input type="text" ng-model="self.initial.opiu.otherExpenses"/></td>
                    </tr>
                    <tr>
                        <td>Погашение основного долга по действующим кредитам</td>
                        <td><input type="text" ng-model="self.initial.opiu.repaymentCurrentCredits"/></td>
                    </tr>
                </tbody>
            </table>

            <table>
                <tbody>
                    <tr>
                        <td width="50%">Взнос по рассматриваемому кредиту</td>
                        <td><input type="text" ng-model="self.initial.opiu.contribution"/></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <script type="text/javascript">
        $('.mask_date').mask('00.00.0000');
    </script>
{% endblock %}